/**
 * Either very general widget rules or rules for concrete widgets.
 */

.wui-widget-title {
    margin-left: 10px;
    font-size: 14px;
    line-height: 34px;
}

.jarviswidget {
    margin: 0 0 15px;
}

.jarviswidget .widget-body {
    min-height: 0;
}

widget, widget-body {
    display: block;
}

widget .widget-body > ng-transclude {
    display: block;
    height: 100%;
}

widget .jarviswidget header {
    line-height: normal;
}

/**
 * SmartAdmin uses some broken hack presumably to remove margins caused by .row
 */
widget .widget-body.no-padding {
    margin: 0 !important;
}

.sortable-widget {
    display: block;
}

.jarviswidget-placeholder {
    display: block;
}

/**
 * Hide scrollbars belonging to body if there is an active fullscreen widget.
 * The class is added by the widget component to the body.
 */
body.fullscreen-active {
    overflow: hidden;
}

.fullscreen-widget {
    width: 100vw;
    height: 100vh;
    display: flex;
    flex-direction: column;
    position: fixed;
    top: 0;
    left: 0;
    /*
     * Bootstrap modals have 1050
     */
    z-index: 1040;
}

.fullscreen-widget .widget-body {
    flex: 1;
    overflow-y: scroll;
}

.widget-sort-active [widget-column] {
    border: 1px dashed green;
    /*
     * If there is no extra padding at the bottom of the column, moving widgets there will be either impossible or hard.
     */
    padding-bottom: 100px;
    min-height: 500px;
}

resource-tree-widget .widget-body {
    padding-bottom: 0 !important;
}

resource-tree-widget resource-search {
    margin-top: 20px;
    display: block;
}

.start-collapsed .widget-body {
    display: none;
}

text-report-widget .widget-handle {
    cursor: pointer !important;
}
